org.apache.fop.afp

## Class AFPObjectAreaInfo

- java.lang.Object
- - org.apache.fop.afp.AFPObjectAreaInfo

    public class AFPObjectAreaInfo
    extends Object

A common class used to convey locations, dimensions and resolutions of data objects.

### Constructor Summary

Constructors
Constructor and Description
`AFPObjectAreaInfo(int x, int y, int width, int height, int resolution, int rotation)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getHeight()` Returns the height of this data object
`int` `getHeightRes()` Returns the height resolution of this data object
`int` `getRotation()` Returns the rotation of this data object
`int` `getWidth()` Returns the width of this data object
`int` `getWidthRes()` Returns the width resolution of this data object
`int` `getX()` Returns the x coordinate of this data object
`int` `getY()` Returns the y coordinate of this data object
`void` `setHeightRes(int resolution)` Sets the height resolution.
`void` `setResolution(int resolution)` Sets both the width and the height resolutions.
`void` `setWidthRes(int resolution)` Sets the width resolution.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AFPObjectAreaInfo

    public AFPObjectAreaInfo(int x,
                             int y,
                             int width,
                             int height,
                             int resolution,
                             int rotation)

Constructor

Parameters:
  `x` - the x coordinate
  `y` - the y coordinate
  `width` - the width
  `height` - the height
  `resolution` - the resolution (sets both width and height resolutions)
  `rotation` - the rotation angle

### Method Detail

#### setResolution

    public void setResolution(int resolution)

Sets both the width and the height resolutions.

Parameters:
  `resolution` - the resolution

#### setWidthRes

    public void setWidthRes(int resolution)

Sets the width resolution.

Parameters:
  `resolution` - the resolution

#### setHeightRes

    public void setHeightRes(int resolution)

Sets the height resolution.

Parameters:
  `resolution` - the resolution

#### getX

    public int getX()

Returns the x coordinate of this data object

Returns:
  the x coordinate of this data object

#### getY

    public int getY()

Returns the y coordinate of this data object

Returns:
  the y coordinate of this data object

#### getWidth

    public int getWidth()

Returns the width of this data object

Returns:
  the width of this data object

#### getHeight

    public int getHeight()

Returns the height of this data object

Returns:
  the height of this data object

#### getWidthRes

    public int getWidthRes()

Returns the width resolution of this data object

Returns:
  the resolution of this data object

#### getHeightRes

    public int getHeightRes()

Returns the height resolution of this data object

Returns:
  the resolution of this data object

#### getRotation

    public int getRotation()

Returns the rotation of this data object

Returns:
  the rotation of this data object

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`